﻿using System;
using CefSharp;
using CefSharp.WinForms;

namespace CefBridgeDataExchange.Tests.Services
{
    internal class CefDevService : ICefDevService
    {
        private readonly ChromiumWebBrowser _browser;

        public CefDevService(ChromiumWebBrowser browser)
        {
            _browser = browser;
        }

        void ICefDevService.ShowF12()
        {
            _browser.ShowDevTools();
        }

        void ICefDevService.Refresh()
        {
            if (_browser.InvokeRequired) _browser.Invoke(new Action(() => _browser.Refresh()));
            else _browser.Refresh();
        }
    }
}
